| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdcoefct.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_coef_controller

## Macros
#define | JPEG_INTERNALS
#define | SAVED_COEFS 6 /* we save coef_bits[0..5] */
#define | Q01_POS 1
#define | Q10_POS 8
#define | Q20_POS 16
#define | Q11_POS 9
#define | Q02_POS 2

## Typedefs
typedef my_coef_controller * | my_coef_ptr

## Functions
| METHODDEF (int)
| start_input_pass (j_decompress_ptr cinfo)
| start_output_pass (j_decompress_ptr cinfo)
| decompress_onepass (j_decompress_ptr cinfo, JSAMPIMAGE output_buf)
| dummy_consume_data (j_decompress_ptr cinfo)
| consume_data (j_decompress_ptr cinfo)
| decompress_data (j_decompress_ptr cinfo, JSAMPIMAGE output_buf)
| smoothing_ok (j_decompress_ptr cinfo)
| decompress_smooth_data (j_decompress_ptr cinfo, JSAMPIMAGE output_buf)
| jinit_d_coef_controller (j_decompress_ptr cinfo, boolean need_full_buffer)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 17 of file jdcoefct.c.

#define Q01_POS 1

Definition at line 390 of file jdcoefct.c.

#define Q02_POS 2

Definition at line 394 of file jdcoefct.c.

#define Q10_POS 8

Definition at line 391 of file jdcoefct.c.

#define Q11_POS 9

Definition at line 393 of file jdcoefct.c.

#define Q20_POS 16

Definition at line 392 of file jdcoefct.c.

#define SAVED_COEFS 6 /* we save coef_bits[0..5] */

Definition at line 58 of file jdcoefct.c.

## Typedef Documentation

typedef my_coef_controller* my_coef_ptr

Definition at line 62 of file jdcoefct.c.

## Function Documentation

consume_data | ( | j_decompress_ptr | cinfo | ) |

Definition at line 244 of file jdcoefct.c.

decompress_data | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | output_buf
| ) |  |

Definition at line 315 of file jdcoefct.c.

decompress_onepass | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | output_buf
| ) |  |

Definition at line 147 of file jdcoefct.c.

decompress_smooth_data | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | output_buf
| ) |  |

Definition at line 461 of file jdcoefct.c.

dummy_consume_data | ( | j_decompress_ptr | cinfo | ) |

Definition at line 228 of file jdcoefct.c.

jinit_d_coef_controller | ( | j_decompress_ptr | cinfo,
|  | boolean | need_full_buffer
| ) |  |

Definition at line 676 of file jdcoefct.c.

METHODDEF | ( | int |  | ) |

Definition at line 65 of file jdcoefct.c.

smoothing_ok | ( | j_decompress_ptr | cinfo | ) |

Definition at line 405 of file jdcoefct.c.

start_input_pass | ( | j_decompress_ptr | cinfo | ) |

Definition at line 107 of file jdcoefct.c.

start_output_pass | ( | j_decompress_ptr | cinfo | ) |

Definition at line 119 of file jdcoefct.c.